package org.dromara.zhishu.service;

import org.dromara.zhishu.domain.vo.TAuditVo;
import org.dromara.zhishu.domain.bo.TAuditBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 审核Service接口
 *
 * @author Lion Li
 * @date 2025-04-01
 */
public interface ITAuditService {

    /**
     * 查询审核
     *
     * @param id 主键
     * @return 审核
     */
    TAuditVo queryById(Long id);

    /**
     * 分页查询审核列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 审核分页列表
     */
    TableDataInfo<TAuditVo> queryPageList(TAuditBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的审核列表
     *
     * @param bo 查询条件
     * @return 审核列表
     */
    List<TAuditVo> queryList(TAuditBo bo);

    /**
     * 新增审核
     *
     * @param bo 审核
     * @return 是否新增成功
     */
    Boolean insertByBo(TAuditBo bo);

    /**
     * 修改审核
     *
     * @param bo 审核
     * @return 是否修改成功
     */
    Boolean updateByBo(TAuditBo bo);

    /**
     * 校验并批量删除审核信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    int updateByStatus(TAuditBo bo);

    Integer InsertLog(TAuditBo bo);
}
